
.menu5 {
    width: 100%;
    height: 1100px;
    display: flex;
    flex-direction: column;
    align-items: center;      /* a 水平置中 */
}

.menu5 a {
    display: block;
    margin-bottom: 10px;
}

.menu5 a img {
    display: block;
    width: 960px;             /* 你想要的寬度 */
    height: auto;             /* 依比例縮放 */
    transition: transform 0.3s ease;
}

/* hover 放大到 img 上 */
.menu51:hover img,
.menu52:hover img,
.menu53:hover img,
.menu54:hover img,
.menu55:hover img {
    transform: scale(0.9);
}


.line {
    margin-top: 20px;
    width: 960px;
    height: 60px;
}

.line img {
    width: 100%;
}


/* styles.css */

.custom-carousel {
    position: relative;
    width: 450px;
	height: 310px;
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.custom-carousel-inner {
    display: flex;
    transition: transform 0.5s ease-in-out;
    width: 100%;
}

.custom-carousel-item {
    min-width: 100%;
    width: 100%;
    flex-shrink: 0;
    box-sizing: border-box;
}

.custom-carousel-item img {
    width: 100%;
    display: block;
}

.prev,
.next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    padding: 10px;
    cursor: pointer;
    z-index: 1;
}

.prev {
    left: 10px;
}

.next {
    right: 10px;
}

.prev:hover,
.next:hover {
    background-color: rgba(0, 0, 0, 0.8);
}